<div class="card-header title-access-page">
    Pilih salah satu:
</div>

<div class="card-body">
    <div class="alert alert-danger alert-modal hidden"></div>
    <form action="@{storeAccess()}" class="form-horizontal" method="post">
        <input type="hidden" name="accessForm.id" value="${_model?.id}" >
        <input type="hidden" name="accessForm.kldiId" value="${_model?.kldiId}" >
        <input type="hidden" id="aksess" value="${_selectedUsers?.user_id}" >

        #{list items:models.cms.ContentPermission.VALUES, as:'permission'}
            <div class="form-group has-feedback">
                <input type="radio" name="accessForm.akses" value="${permission.key.toLowerCase()}" required class="detail" ${_model.isItMyPermission(permission.key) ? "checked" : ""}> ${permission.value}<br>
            </div>
        #{/list}

        <div id="form-input" style="display: none">
            <p></p>
            <label class="text-danger control-label">Wajib diisi </label>
            <p></p>
            <select name="accessForm.userSelected" multiple="" class="ui fluid search selection dropdown" id="userdrop">
                <option value="">Pilih user</option>
                #{list _users, as: 'orang'}
                    <option value="${orang.id.toString()}" >${orang.email}</option>
                #{/list}
            </select>
        </div>

        <div class="form-group has-feedback">
            <div class="row" style="justify-content:center;">
                <button type="submit" class="btn btn-success button-save"><i class="fa fa-save"></i> Simpan</button>
                &nbsp;&nbsp;
                #{if action=="update"}
                <a href='@{index()}' class="btn btn-warning"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                #{/if}
            </div>
        </div>
    </form>
</div>

#{set 'accessScripts'}
    <script type="text/javascript">
        $(document).ready(function() {
            let aksesList = $('#aksess').val();
            let data = (aksesList != '[]' && aksesList != '') ? JSON.parse(aksesList) : []
            let radioOnChange = (value) => {
                if (value === "private" ) {
                    $("#form-input").slideDown("fast");
                    $('#form-input select').prop('required', true)
                } else {
                    $("#form-input").slideUp("fast");
                    $('#form-input select').prop('required', false)
                }
            }
            $('#userdrop').dropdown({
                allowAdditions: true,
                selectOnBlur: false,
                forceSelection: false
            });
            $('#userdrop').dropdown('set selected', data.map(e => e.toString()));
            $('input.detail[type="radio"]').change(function() {
                radioOnChange($(this).val())
            })
            radioOnChange($('input.detail[type="radio"]:checked').val())
        })
    </script>
#{/set}

